org.wildfly.swarm.spi.api

## Enum Module.ServiceHandling

- java.lang.Object
- - java.lang.Enum<Module.ServiceHandling>
  - - org.wildfly.swarm.spi.api.Module.ServiceHandling

- All Implemented Interfaces:
    Serializable, Comparable<Module.ServiceHandling>
  Enclosing class:
    Module

      public static enum Module.ServiceHandling
      extends Enum<Module.ServiceHandling>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXPORT`
    `IMPORT`
    `NONE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `value()`
    `static Module.ServiceHandling` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Module.ServiceHandling[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final Module.ServiceHandling NONE

    - #### IMPORT

          public static final Module.ServiceHandling IMPORT

    - #### EXPORT

          public static final Module.ServiceHandling EXPORT

  - ### Method Detail

    - #### values

          public static Module.ServiceHandling[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Module.ServiceHandling c : Module.ServiceHandling.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Module.ServiceHandling valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

Copyright © 2017 JBoss by Red Hat. All rights reserved.